aboutsummaryrefslogtreecommitdiffstats
path: root/s2i/bin
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2020-03-05 14:43:15 +0100
committerGerd Hoffmann <kraxel@redhat.com>2020-03-05 14:43:15 +0100
commit1de68a1e35d3ed1aca37ef2ef25952b7cfa8fa50 (patch)
tree38a3bad8e63e162c5a3484313c050a56453df473 /s2i/bin
downloads2i-sphinx-1de68a1e35d3ed1aca37ef2ef25952b7cfa8fa50.tar.gz
initial commit
Diffstat (limited to 's2i/bin')
-rwxr-xr-xs2i/bin/assemble32
1 files changed, 32 insertions, 0 deletions
diff --git a/s2i/bin/assemble b/s2i/bin/assemble
new file mode 100755
index 0000000..9436885
--- /dev/null
+++ b/s2i/bin/assemble
@@ -0,0 +1,32 @@
+#!/bin/bash -e
+#
+# For more information refer to the documentation:
+# https://github.com/openshift/source-to-image/blob/master/docs/builder_image.md
+#
+
+source ${0}.pre
+
+echo "---> Installing application source ..."
+rm -rf /tmp/src/.git
+mv /tmp/src .
+
+echo "---> Looking for sphinx config ..."
+cfg=$(echo src/[Dd][Oo][Cc]*/conf.py)
+if test ! -f "$cfg"; then
+ cfg="src/conf.py"
+fi
+if test ! -f "$cfg"; then
+ cfg=$(find src -name conf.py | sort | head -n 1)
+fi
+if test ! -f "$cfg"; then
+ echo "ERROR: no sphinx config found"
+ exit 1
+fi
+
+echo "---> Building docs, using $cfg ..."
+sphinx-build ${cfg%/conf.py} html
+
+echo "---> Cleanup ..."
+rm -rf src
+
+source ${0}.post